[Overview][Procedures and functions][Index] | Reference for unit 'strings' (#rtl)

# strmove

Move a null-terminated string to new location.

## Declaration

Source position: strings.pp line 61

`function strmove(`
`dest: pchar;`
`source: pchar;`
`l: SizeInt`
`):pchar;`

## Description

Copies MaxLen characters from Source to Dest. No terminating null-character is copied. Returns Dest

## Errors

None.

## See also

StrLCopy |  | Copy a null-terminated string, limited in length.
StrCopy |  | Copy a null-terminated string

## Example

    Program Example10;

    Uses strings;

    { Program to demonstrate the StrMove function. }

    Const P1 : PCHAR = 'This is a pchar string.';

    Var P2 : Pchar;

    begin
      P2:=StrAlloc(StrLen(P1)+1);
      StrMove (P2,P1,StrLen(P1)+1); { P2:=P1 }
      Writeln ('P2 = ',P2);
      StrDispose(P2);
    end.

Documentation generated on: Feb 26 2014